/**
* PLEASE DO NOT MODIFY THIS FILE. WORK ON THE ES6 VERSION.
* OTHERWISE YOUR CHANGES WILL BE REPLACED ON THE NEXT BUILD.
**/

/**
 * @copyright  Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
Joomla = window.Joomla || {};

(function (document) {
  'use strict';

  document.addEventListener('DOMContentLoaded', function () {
    window.jSelectModuleType = function () {
      var elements = document.querySelectorAll('#moduleDashboardAddModal footer .btn.hidden');

      if (elements.length) {
        setTimeout(function () {
          elements.forEach(function (button) {
            button.classList.remove('hidden');
          });
        }, 1000);
      }
    };

    var hideButtons = [];
    var isSaving = false;
    document.getElementById('moduleDashboardAddModal').addEventListener('joomla.modal.show', function () {
      var buttons = document.querySelectorAll('#moduleDashboardAddModal footer .btn');
      hideButtons = [];

      if (buttons.length) {
        buttons.forEach(function (button) {
          if (button.classList.contains('hidden')) {
            hideButtons.push(button);
          } // eslint-disable-next-line consistent-return


          button.addEventListener('click', function (event) {
            var elem = event.currentTarget; // There is some bug with events in iframe where currentTarget is "null"
            // => prevent this here by bubble up

            if (!elem) {
              elem = event.target;
            }

            if (elem) {
              var clickTarget = elem.getAttribute('data-target');

              if (clickTarget === null) {
                // eslint-disable-next-line no-console
                console.warn('Save Target Missting!');
                return false;
              } // We remember to be in the saving process


              isSaving = clickTarget === '#saveBtn'; // Reset saving process, if e.g. the validation of the form fails

              setTimeout(function () {
                isSaving = false;
              }, 1500);
              var iframe = document.querySelector('#moduleDashboardAddModal iframe');
              var content = iframe.contentDocument || iframe.contentWindow.document;
              content.querySelector(clickTarget).click();
            }
          });
        });
      }
    });
    document.getElementById('moduleDashboardAddModal').addEventListener('joomla.modal.close', function () {
      hideButtons.forEach(function (button) {
        button.classList.add('hidden');
      });
    });
    document.getElementById('moduleDashboardAddModal').addEventListener('joomla.modal.closed', function () {
      if (isSaving) {
        setTimeout(function () {
          window.parent.location.reload();
        }, 1000);
      }
    });
  });
})(document);