/**
* PLEASE DO NOT MODIFY THIS FILE. WORK ON THE ES6 VERSION.
* OTHERWISE YOUR CHANGES WILL BE REPLACED ON THE NEXT BUILD.
**/

/**
 * @copyright  Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
(function (window, document, Joomla) {
  var matchesFn = 'matches';

  var closest = function closest(element, selector) {
    var parent;
    var el = element; // Traverse parents

    while (el) {
      parent = el.parentElement;

      if (parent && parent[matchesFn](selector)) {
        return parent;
      }

      el = parent;
    }

    return null;
  };

  Joomla.unpublishModule = function (element) {
    // Get variables
    var baseUrl = 'index.php?option=com_modules&task=modules.unpublish&format=json';
    var id = element.getAttribute('data-module-id');
    Joomla.request({
      url: "".concat(baseUrl, "&cid=").concat(id),
      method: 'POST',
      headers: {
        'Content-Type': 'application/json'
      },
      onSuccess: function onSuccess() {
        var wrapper = closest(element, '.module-wrapper');
        wrapper.parentNode.removeChild(wrapper);
        Joomla.renderMessages({
          message: [Joomla.JText._('COM_CPANEL_UNPUBLISH_MODULE_SUCCESS')]
        });
      },
      onError: function onError() {
        Joomla.renderMessages({
          error: [Joomla.JText._('COM_CPANEL_UNPUBLISH_MODULE_ERROR')]
        });
      }
    });
  };
  /**
   * Expand/collapse card body
   *
   * @param   {HTMLElement}   card  Card element
   *
   * @since   4.0.0
   */


  var toggleCard = function toggleCard(card) {
    card.addEventListener('click', function (event) {
      event.preventDefault();
      var targetBody = document.getElementById(card.getAttribute('data-target'));
      var el = event.currentTarget;

      if (el) {
        // Toggle aria-expanded attribute
        if (el.hasAttribute('aria-expanded')) {
          if (el.getAttribute('aria-expanded') === 'true') {
            el.setAttribute('aria-expanded', 'false');
          } else {
            el.setAttribute('aria-expanded', 'true');
          }
        } // Toggle collapse icon


        var icon = el.querySelector('span.toggle-icon');

        if (icon) {
          if (icon.classList.contains('icon-chevron-down')) {
            icon.classList.remove('icon-chevron-down');
            icon.classList.add('icon-chevron-up');
          } else {
            icon.classList.remove('icon-chevron-up');
            icon.classList.add('icon-chevron-down');
          }
        }
      }

      if (targetBody) {
        if (targetBody.classList.contains('collapse-in')) {
          targetBody.classList.remove('collapse-in');
        } else {
          targetBody.classList.add('collapse-in');
        }
      }
    });
  };

  var onBoot = function onBoot() {
    // Find matchesFn with vendor prefix
    ['matches', 'msMatchesSelector'].some(function (fn) {
      if (typeof document.body[fn] === 'function') {
        matchesFn = fn;
        return true;
      }

      return false;
    }); // Get the dashboard's card elements

    var cpanelCards = document.querySelectorAll('.joomla-collapse-card-body');

    if (cpanelCards) {
      cpanelCards.forEach(function (card) {
        toggleCard(card);
      });
    }

    var cpanelModules = document.getElementById('cpanel-modules');

    if (cpanelModules) {
      var links = [].slice.call(cpanelModules.querySelectorAll('.unpublish-module'));
      links.forEach(function (link) {
        link.addEventListener('click', function (event) {
          return Joomla.unpublishModule(event.target);
        });
      });
    } // Cleanup


    document.removeEventListener('DOMContentLoaded', onBoot);
  }; // Initialise


  document.addEventListener('DOMContentLoaded', onBoot);
})(window, document, window.Joomla);