/**
* PLEASE DO NOT MODIFY THIS FILE. WORK ON THE ES6 VERSION.
* OTHERWISE YOUR CHANGES WILL BE REPLACED ON THE NEXT BUILD.
**/

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

/* eslint-disable no-param-reassign */

/**
 * @copyright  Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
(function (document) {
  'use strict';

  document.addEventListener('DOMContentLoaded', function () {
    // search modules
    var inputField = document.querySelector('#j-search-cpanel-module');
    var moduleOptions = Joomla.getOptions('modules') || [];
    var modules = moduleOptions.items;
    var modulesContainer = document.querySelector('#new-modules-list');

    var initAddModule = function initAddModule() {
      var elems = document.querySelectorAll('#new-modules-list a.select-link');

      if (elems) {
        elems.forEach(function (elem) {
          elem.addEventListener('click', function (event) {
            var targetElem = event.currentTarget; // There is some bug with events in iframe where currentTarget is "null"
            // => prevent this here by bubble up

            if (!targetElem) {
              targetElem = event.target;

              if (targetElem && !targetElem.classList.contains('select-link')) {
                targetElem = targetElem.parentNode;
              }
            }

            var functionName = targetElem.getAttribute('data-function');

            if (functionName && typeof window.parent[functionName] === 'function') {
              window.parent[functionName](targetElem);
            }
          });
        });
      }
    };

    initAddModule();
    /**
     * Find match modules
     * @param {string} keyword - search keyword
     * @return {Array} match modules
     *
     * @since 4.0.0
     */

    var findMatches = function findMatches(keyword) {
      keyword = keyword.replace(/\s+/g, ' ').trim();
      if (keyword === '') return modules;
      var keywords = keyword.split(' ').join('|');
      var regex = new RegExp(keywords, 'i');
      return modules.filter(function (module) {
        if (regex.test(module.name) || regex.test(module.desc)) {
          return module;
        }

        return false;
      });
    };
    /**
     * Render filtered modules
     * @param {Array} items - filtered modules
     * @return {string} html string
     *
     * @since 4.0.0
     */


    var renderModules = function renderModules(items) {
      items = _typeof(items) === 'object' && items instanceof Array && items.length > 0 ? items : false;
      var html = '<div class="row">';

      if (items) {
        items.forEach(function (item) {
          var link = "".concat(moduleOptions.routeUrl).concat(moduleOptions.clientId).concat(moduleOptions.modalLink, "&eid=").concat(item.extension_id);
          var description = typeof item.desc !== 'undefined' && item.desc.length > 0 ? item.desc.substring(0, Math.min(200, item.desc.length)) : '';
          description = description.length === item.desc.length ? description : "".concat(description, "...");
          html += "\n            <div class=\"col-sm-6 col-md-4 col-lg-3\">\n              <div class=\"j-card mb-4\">\n                <div class=\"j-card-header\">\n                  <strong>".concat(item.name, "</strong>\n                </div>\n      \n                <div class=\"j-card-body\">\n                  <p class=\"text-muted m-0\">\n                    ").concat(description, "\n                  </p>\n                </div>\n      \n                <div class=\"j-card-footer\">\n                  <div class=\"j-card-footer-item\">\n                    <a href=\"").concat(link, "\" class=\"").concat(moduleOptions.functionPlain ? 'select-link' : '', "\" data-function=\"").concat(moduleOptions.functionPlain ? moduleOptions.functionEscape : '', "\" >\n                      ").concat(Joomla.Text._('COM_MODULES_SELECT'), "\n                    </a>\n                  </div>\n                </div>\n              </div>\n            </div>\n          ");
        });
      } else {
        html += "\n        <div class=\"col\">\n          <div class=\"j-alert j-alert-info d-flex\">\n            <div class=\"j-alert-icon-wrap\"><span class=\"icon-info-circle\" aria-hidden=\"true\"></span><span class=\"sr-only\">Info</span></div>\n            <div class=\"j-alert-info-wrap\">No Matching Results</div>\n          </div>\n        </div>\n        ";
      }

      html += '</div>'; // end row

      return html;
    };

    if (inputField) {
      var timeout;
      inputField.addEventListener('keyup', function (event) {
        event.preventDefault();
        if (timeout) clearTimeout(timeout);
        var value = event.target.value; // wait 250ms before executing the task

        timeout = setTimeout(function () {
          var newList = findMatches(value);

          if (newList) {
            modulesContainer.innerHTML = renderModules(newList);
          } // Re-init module select activity after search happening


          initAddModule();
        }, 250);
      });
    }
  });
})(document);