/**
* PLEASE DO NOT MODIFY THIS FILE. WORK ON THE ES6 VERSION.
* OTHERWISE YOUR CHANGES WILL BE REPLACED ON THE NEXT BUILD.
**/

document.addEventListener('DOMContentLoaded', function () {
  var modal = document.getElementById('ModalInstallTemplate');
  modal.addEventListener('joomla.modal.show', function () {
    var dragZone = document.querySelector('#dragarea');
    var fileInput = document.querySelector('#install_package');
    var button = document.querySelector('#select-file-button');
    var progress = document.getElementById('upload-progress');
    var progressBar = progress.querySelectorAll('.bar')[0];
    var percentage = progress.querySelectorAll('.uploading-number')[0];
    var uploadUrl = 'index.php?option=com_templates&task=styles.ajax_upload';
    var uploading = false;
    button.addEventListener('click', function () {
      fileInput.click();
    }); // If upload file manually

    fileInput.addEventListener('change', function () {
      var form = document.getElementById('templateForm'); // do field validation

      if (form.install_package.value === '') {
        alert(Joomla.JText._('PLG_INSTALLER_PACKAGEINSTALLER_NO_PACKAGE'), true);
      } else {
        var loading = document.getElementById('loading');

        if (loading) {
          loading.style.display = 'block';
        }

        form.installtype.value = 'upload';
        form.submit();
      }
    });

    function showError(res) {
      dragZone.setAttribute('data-state', 'pending');

      var message = Joomla.JText._('PLG_INSTALLER_PACKAGEINSTALLER_UPLOAD_ERROR_UNKNOWN');

      if (res == null) {
        message = Joomla.JText._('PLG_INSTALLER_PACKAGEINSTALLER_UPLOAD_ERROR_EMPTY');
      } else if (typeof res === 'string') {
        // Let's remove unnecessary HTML
        message = res.replace(/(<([^>]+)>|\s+)/g, ' ');
      } else if (res.message) {
        message = res.message;
      }

      Joomla.renderMessages({
        error: [message]
      });
    }

    dragZone.addEventListener('dragenter', function (event) {
      event.preventDefault();
      event.stopPropagation();
      dragZone.classList.add('hover');
      return false;
    }); // Notify user when file is over the drop area

    dragZone.addEventListener('dragover', function (event) {
      event.preventDefault();
      event.stopPropagation();
      dragZone.classList.add('hover');
      return false;
    });
    dragZone.addEventListener('dragleave', function (event) {
      event.preventDefault();
      event.stopPropagation();
      dragZone.classList.remove('hover');
      return false;
    });
    dragZone.addEventListener('drop', function (event) {
      event.preventDefault();
      event.stopPropagation();

      if (uploading) {
        return;
      }

      dragZone.classList.remove('hover');
      var files = event.target.files || event.dataTransfer.files;

      if (!files.length) {
        return;
      }

      var file = files[0];
      var data = new FormData();
      data.append('install_package', file);
      data.append('installtype', 'upload');
      dragZone.setAttribute('data-state', 'uploading');
      progressBar.setAttribute('aria-valuenow', 0);
      uploading = true;
      progressBar.style.width = 0;
      percentage.textContent = '0'; // Upload progress

      var progressCallback = function progressCallback(evt) {
        if (evt.lengthComputable) {
          var percentComplete = evt.loaded / evt.total;
          var number = Math.round(percentComplete * 100);
          progressBar.css('width', "".concat(number, "%"));
          progressBar.setAttribute('aria-valuenow', number);
          percentage.textContent = "".concat(number);

          if (number === 100) {
            dragZone.setAttribute('data-state', 'installing');
          }
        }
      };

      Joomla.request({
        url: uploadUrl,
        method: 'POST',
        perform: true,
        data: data,
        headers: {
          'Content-Type': 'false'
        },
        uploadProgressCallback: progressCallback,
        onSuccess: function onSuccess(response) {
          if (!response) {
            showError(response);
            return;
          }

          var res;

          try {
            res = JSON.parse(response);
          } catch (e) {
            showError(e);
            return;
          }

          if (!res.success && !res.data) {
            showError(res);
            return;
          } // Always redirect that can show message queue from session


          if (res.data.redirect) {
            window.location.href = res.data.redirect;
          } else {
            window.location.href = 'index.php?option=com_installer&view=install';
          }
        },
        onError: function onError(error) {
          uploading = false;

          if (error.status === 200) {
            var res = error.responseText || error.responseJSON;
            showError(res);
          } else {
            showError(error.statusText);
          }
        }
      });
    });
  });
});