/**
* PLEASE DO NOT MODIFY THIS FILE. WORK ON THE ES6 VERSION.
* OTHERWISE YOUR CHANGES WILL BE REPLACED ON THE NEXT BUILD.
**/

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

/**
 * @copyright  Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 *
 * @since   4.0.0
 */

/* eslint-disable */
(function (global, factory) {
  (typeof exports === "undefined" ? "undefined" : _typeof(exports)) === 'object' && typeof module !== 'undefined' ? module.exports = factory() : typeof define === 'function' && define.amd ? define(factory) : (global = global || self, global.JoomlaMenu = factory());
})(this, function () {
  'use strict';
  /* eslint-enable */
  // eslint-disable-next-line func-names

  var JoomlaMenu = function () {
    var JoomlaMenuClass =
    /*#__PURE__*/
    function () {
      function JoomlaMenuClass(element, options) {
        _classCallCheck(this, JoomlaMenuClass);

        this.settings = {
          triggerParent: 'li',
          subMenuEl: 'ul',
          toggle: true,
          triggerElement: 'a'
        };
        this.classList = {
          ACTIVE: 'active',
          COLLAPSE: 'collapse',
          COLLAPSED: 'collapsed',
          COLLAPSING: 'collapsing',
          MENUCLASS: 'j-menu',
          SHOW: 'open'
        };
        this.isTranstioning = false;
        this.element = typeof element === 'string' ? document.querySelector(element) : element;
        this.config = Object.assign({}, this.settings, options);
        this.init();
      }
      /**
       * Initiate function for the admin menu
       * If has no element then return false
       *
       * Collect all sub menu ul and check if any one has open class
       * If has open class then show otherwise hide them
       * Bind click event each link which has sub-menus
       */


      _createClass(JoomlaMenuClass, [{
        key: "init",
        value: function init() {
          if (this.element === null) {
            return;
          }

          var classList = this.classList;
          this.element.classList.add(classList.MENUCLASS);
          this.ulCollection = [].slice.call(this.element.querySelectorAll(this.config.subMenuEl));

          for (var i = 0, item = this.ulCollection; i < item.length; i += 1) {
            var ul = item[i];
            var li = ul.parentNode;
            ul.classList.add(classList.COLLAPSE);

            if (li.classList.contains(classList.ACTIVE)) {
              this.show(ul);
            } else {
              this.hide(ul);
            }

            var a = li.querySelector(this.config.triggerElement);

            if (a.getAttribute('area-disabled') === 'true') {
              return;
            }

            a.setAttribute('area-expanded', 'false');
            a.addEventListener('click', this.clickEvent.bind(this), false);
          }
        }
        /**
         * Show selected sub element
         * @param {element} ul
         */

      }, {
        key: "show",
        value: function show(ul) {
          var _this = this;

          if (ul.classList.contains(this.classList.COLLAPSING)) {
            return;
          }

          var complete = function complete() {
            ul.classList.remove(_this.classList.COLLAPSING);
            ul.style.height = '';
            ul.removeEventListener('transitionend', complete);
            _this.isTranstioning = false;
          };

          var li = ul.parentNode;
          li.classList.add(this.classList.ACTIVE);
          var a = li.querySelector(this.config.triggerElement);
          a.setAttribute('area-expanded', 'true');
          ul.style.height = '0px';
          ul.classList.remove(this.classList.COLLAPSE);
          ul.classList.remove(this.classList.SHOW);
          ul.classList.add(this.classList.COLLAPSING);
          var eleParentSiblins = [].slice.call(li.parentNode.children).filter(function (c) {
            return c !== li;
          });

          if (eleParentSiblins.length > 0) {
            for (var i = 0, itemParentSiblins = eleParentSiblins; i < itemParentSiblins.length; i += 1) {
              var sibli = itemParentSiblins[i];
              var sibUl = sibli.querySelector(this.config.subMenuEl);

              if (sibUl !== null) {
                this.hide(sibUl);
              }
            }
          }

          this.isTranstioning = true;
          ul.classList.add(this.classList.COLLAPSED, this.classList.SHOW);
          ul.style.height = "".concat(ul.scrollHeight, "px");
          ul.addEventListener('transitionend', complete);
        }
        /**
         * Hide selected sub element
         * @param {element} ul
         */

      }, {
        key: "hide",
        value: function hide(ul) {
          var _this2 = this;

          if (this.isTranstioning || !ul.classList.contains(this.classList.SHOW)) {
            return;
          }

          var li = ul.parentNode;
          li.classList.remove(this.classList.ACTIVE);

          var complete = function complete() {
            ul.classList.remove(_this2.classList.COLLAPSING);
            ul.classList.add(_this2.classList.COLLAPSE);
            ul.style.height = '';
            ul.removeEventListener('transitionend', complete);
            _this2.isTranstioning = false;
          };

          ul.style.height = "".concat(ul.getBoundingClientRect().height, "px");
          ul.style.height = "".concat(ul.offsetHeight, "px");
          ul.classList.add(this.classList.COLLAPSING);
          ul.classList.remove(this.classList.COLLAPSE);
          ul.classList.remove(this.classList.SHOW);
          this.setTransitioning = true;
          ul.addEventListener('transitionend', complete);
          ul.style.height = '0px';
          var a = li.querySelector(this.config.triggerElement);
          a.setAttribute('aria-expanded', 'false');
          a.classList.add(this.classList.COLLAPSED);
        }
        /**
         * Toggle provide ul element
         * @param {element} ul
         */

      }, {
        key: "toggle",
        value: function toggle(ul) {
          if (ul.parentNode.classList.contains(this.classList.ACTIVE)) {
            this.hide(ul);
          } else {
            this.show(ul);
          }
        } // eslint-disable-next-line class-methods-use-this

      }, {
        key: "clickEvent",
        value: function clickEvent(event) {
          if (event.currentTarget.tagName === 'A') {
            event.preventDefault();
          }

          var li = event.currentTarget.parentNode;
          var ul = li.querySelector(this.config.subMenuEl);
          this.toggle(ul);
        }
      }]);

      return JoomlaMenuClass;
    }();

    return JoomlaMenuClass;
  }();

  return JoomlaMenu;
});