/**
* PLEASE DO NOT MODIFY THIS FILE. WORK ON THE ES6 VERSION.
* OTHERWISE YOUR CHANGES WILL BE REPLACED ON THE NEXT BUILD.
**/

document.addEventListener('DOMContentLoaded', function () {
  'use strict';

  var dragulaFinders = document.querySelectorAll('.js-enable-dragula');

  var _loop = function _loop(i, l) {
    var dragulaFinder = dragulaFinders[i];

    if (dragulaFinder) {
      var elements = dragulaFinder.getAttribute('data-containers');
      elements = elements.split(',');
      var container = [];
      elements.forEach(function (el) {
        container.push(dragulaFinder.querySelector(el));
      }); // Get the request url

      var url = null;

      if (dragulaFinder.hasAttribute('data-url-quickicon')) {
        url = dragulaFinder.getAttribute('data-url-quickicon');
      } else if (dragulaFinder.hasAttribute('data-url-card')) {
        url = dragulaFinder.getAttribute('data-url-card');
      } //   const url = dragulaFinder.getAttribute('data-url');


      var dataFields = dragulaFinder.getAttribute('data-fields');

      if (typeof dataFields !== 'undefined' && dataFields !== '') {
        dataFields = dataFields.split(',');
      } // eslint-disable-next-line no-undef


      dragula(container, {
        direction: 'vertical',
        // Y axis is considered when determining where an element would be dropped
        copy: false,
        // elements are moved by default, not copied
        moves: function moves(el, source, handle) {
          return handle.classList.contains('handle') || el.classList.contains('handle');
        }
      }).on('drop', function (el, target) {
        if (url) {
          // Set position of the modules
          if (el && target) {
            if (target.hasAttribute('data-position')) {
              if (target.getAttribute('data-position') === 'left') {
                if (el.querySelector('input[name="position[]"]')) {
                  el.querySelector('input[name="position[]"]').value = '0';
                }
              } else if (target.getAttribute('data-position') === 'right') {
                if (el.querySelector('input[name="position[]"]')) {
                  el.querySelector('input[name="position[]"]').value = '1';
                }
              }
            }
          } // Re-ordering the modules


          var order = 1; // Get left and right columns modules

          var leftCol = document.querySelector('#cpanel-left-col');
          var rightCol = document.querySelector('#cpanel-right-col'); // Get ordering fields

          var leftColOrderField = leftCol.querySelectorAll('input[name="order[]"]');
          var rightColOrderField = rightCol.querySelectorAll('input[name="order[]"]'); // Update the order value

          leftColOrderField.forEach(function (orderEl) {
            orderEl.value = order;
            order += 1;
          });
          rightColOrderField.forEach(function (orderEl) {
            orderEl.value = order;
            order += 1;
          });
          var data = []; // Collect all field data if dataFields are available

          if (dataFields.length > 0) {
            dataFields.forEach(function (field) {
              var inputField = dragulaFinder.querySelectorAll("input[name=\"".concat(field, "\"]"));

              if (inputField.length > 1) {
                inputField.forEach(function (item) {
                  data.push("".concat(field, "=").concat(item.value));
                });
              }

              if (inputField.length === 1) {
                data.push("".concat(field, "=").concat(inputField[0].value));
              }
            }); // Prepare the options

            var ajaxOptions = {
              url: url,
              method: 'POST',
              data: data.join('&'),
              perform: true
            }; // Call ajax for update order

            Joomla.request(ajaxOptions);
          }
        }
      });
    }
  };

  for (var i = 0, l = dragulaFinders.length; l > i; i += 1) {
    _loop(i, l);
  }
});