/**
* PLEASE DO NOT MODIFY THIS FILE. WORK ON THE ES6 VERSION.
* OTHERWISE YOUR CHANGES WILL BE REPLACED ON THE NEXT BUILD.
**/

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _wrapNativeSuper(Class) { var _cache = typeof Map === "function" ? new Map() : undefined; _wrapNativeSuper = function _wrapNativeSuper(Class) { if (Class === null || !_isNativeFunction(Class)) return Class; if (typeof Class !== "function") { throw new TypeError("Super expression must either be null or a function"); } if (typeof _cache !== "undefined") { if (_cache.has(Class)) return _cache.get(Class); _cache.set(Class, Wrapper); } function Wrapper() { return _construct(Class, arguments, _getPrototypeOf(this).constructor); } Wrapper.prototype = Object.create(Class.prototype, { constructor: { value: Wrapper, enumerable: false, writable: true, configurable: true } }); return _setPrototypeOf(Wrapper, Class); }; return _wrapNativeSuper(Class); }

function isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _construct(Parent, args, Class) { if (isNativeReflectConstruct()) { _construct = Reflect.construct; } else { _construct = function _construct(Parent, args, Class) { var a = [null]; a.push.apply(a, args); var Constructor = Function.bind.apply(Parent, a); var instance = new Constructor(); if (Class) _setPrototypeOf(instance, Class.prototype); return instance; }; } return _construct.apply(null, arguments); }

function _isNativeFunction(fn) { return Function.toString.call(fn).indexOf("[native code]") !== -1; }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

/**
 * @copyright  Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 *
 * @since   4.0.0
 */

/**
 * Joomla callout web component
 *
 * More info about Web Component
 * https://developer.mozilla.org/en-US/docs/Web/Web_Components
 *
 * @param   string  for                 uniqueue ID with hash(#) for target button.
 * @param   boolean dismiss             True if you need close button in callout
 */
(function () {
  var JoomlaCalloutElement =
  /*#__PURE__*/
  function (_HTMLElement) {
    _inherits(JoomlaCalloutElement, _HTMLElement);

    function JoomlaCalloutElement() {
      var _this;

      _classCallCheck(this, JoomlaCalloutElement);

      _this = _possibleConstructorReturn(this, _getPrototypeOf(JoomlaCalloutElement).call(this));
      _this.space = 15; // Minimum Space

      _this.action = 'click'; // Action

      _this.disableEvent = _this.disableEvent.bind(_assertThisInitialized(_this));
      _this.setPositionOnScroll = _this.setPositionOnScroll.bind(_assertThisInitialized(_this));
      return _this;
    }
    /* Attributes to monitor */


    _createClass(JoomlaCalloutElement, [{
      key: "connectedCallback",
      value: function connectedCallback() {
        var _this2 = this;

        if (!this.position || this.position && ['top', 'bottom', 'left', 'right'].indexOf(this.position) === -1) {
          this.position = 'right';
        }

        var action = this.getAttribute('action');
        this.action = action && action === 'hover' ? 'mouseenter' : this.action;
        this.setAttribute('aria-labelledby', this.for.substring(1));
        this.button = document.querySelector(this.for);

        if (!this.button.id) {
          return;
        }

        if (this.hasAttribute('dismiss')) {
          this.appendCloseButton();
        }

        this.button.setAttribute('aria-haspopup', true);
        this.button.setAttribute('aria-expanded', false);
        this.button.addEventListener(this.action, function (event) {
          event.preventDefault();

          _this2.open(event);
        });
      }
      /**
       * Open callout method
       * @param {Object} event
       */

    }, {
      key: "open",
      value: function open(event) {
        var _this3 = this;

        var innerLinks = this.querySelectorAll('a');

        if (this.hasAttribute('expanded')) {
          this.removeAttribute('expanded');
          event.target.setAttribute('aria-expanded', false);
        } else {
          this.setAttribute('expanded', '');
          event.target.setAttribute('aria-expanded', true);
          var buttonRect = this.button.getBoundingClientRect();
          var calloutRect = this.getBoundingClientRect();
          var copyPosition = this.checkPosition(this.position, buttonRect, calloutRect);
          this.calloutPosition(copyPosition, buttonRect, calloutRect, this.space);
        }

        var trigger = this.action === 'mouseenter' ? 'mouseover' : this.action;
        document.addEventListener(trigger, this.disableEvent, true); // Check position when browser scroll

        window.addEventListener('scroll', this.setPositionOnScroll, true);
        innerLinks.forEach(function (innerLink) {
          innerLink.addEventListener('click', function () {
            _this3.close();
          });
        });
      }
      /**
       * Close callout on outside trigger
       * @param {object} event
       */

    }, {
      key: "disableEvent",
      value: function disableEvent(event) {
        if (!this.button.contains(event.target) && event.target !== this.button && event.target !== this) {
          if (!this.findAncestor(event.target, 'joomla-callout')) {
            this.close();
          }
        }
      }
      /**
       * Check callout position on scroll and set the inline style
       * @param {Object} event
       */

    }, {
      key: "setPositionOnScroll",
      value: function setPositionOnScroll(event) {
        event.preventDefault();

        if (this.hasAttribute('expanded')) {
          var buttonRect = this.button.getBoundingClientRect();
          var calloutRect = this.getBoundingClientRect();
          var copyPosition = this.checkPosition(this.position, buttonRect, calloutRect);
          this.calloutPosition(copyPosition, buttonRect, calloutRect, this.space);
        }
      } // eslint-disable-next-line class-methods-use-this

      /**
       * Check the callout position
       * If position right and have no space then set position to oposite
       * Same as for top|bottom|left
       * @param {String} currentPosition
       * @param {Object} buttonRect
       * @param {Object} calloutRect
       */

    }, {
      key: "checkPosition",
      value: function checkPosition(currentPosition, buttonRect, calloutRect) {
        if (currentPosition === 'bottom' && buttonRect.top + calloutRect.height > window.innerHeight) {
          this.setAttribute('position', 'top');
          return 'top';
        }

        if (currentPosition === 'top' && buttonRect.top < buttonRect.height + calloutRect.height) {
          this.setAttribute('position', 'bottom');
          return 'bottom';
        }

        if (currentPosition === 'right' && buttonRect.right + calloutRect.width > window.innerWidth) {
          this.setAttribute('position', 'left');
          return 'left';
        }

        if (currentPosition === 'left' && buttonRect.width + calloutRect.width > buttonRect.right) {
          this.setAttribute('position', 'right');
          return 'right';
        }

        return currentPosition;
      }
      /**
       * Calculate position and set inline style in element
       * @param {Object} copyPosition
       * @param {Object} buttonRect
       * @param {Object} calloutRect
       * @param {Int} space
       */

    }, {
      key: "calloutPosition",
      value: function calloutPosition(copyPosition, buttonRect, calloutRect, space) {
        var diffWidth = Math.round(Math.abs(calloutRect.width - buttonRect.width) / 2);
        var diffHeight = Math.round(Math.abs(calloutRect.height - buttonRect.height) / 2);

        switch (copyPosition) {
          case 'top':
            this.style.top = "".concat(Math.round(buttonRect.top - (calloutRect.height + space)), "px");

            if (buttonRect.width < calloutRect.width) {
              this.style.left = "".concat(Math.round(buttonRect.left - diffWidth), "px");
            } else {
              this.style.left = "".concat(Math.round(buttonRect.left + diffWidth), "px");
            }

            break;

          case 'bottom':
            this.style.top = "".concat(Math.round(buttonRect.bottom) + space, "px");

            if (buttonRect.width < calloutRect.width) {
              this.style.left = "".concat(Math.round(buttonRect.left - diffWidth), "px");
            } else {
              this.style.left = "".concat(Math.round(buttonRect.left + diffWidth), "px");
            }

            break;

          case 'left':
            this.style.left = "".concat(Math.round(buttonRect.left - (calloutRect.width + space)), "px");

            if (buttonRect.height < calloutRect.height) {
              this.style.top = "".concat(Math.round(buttonRect.top - diffHeight), "px");
            } else {
              this.style.top = "".concat(Math.round(buttonRect.top + diffHeight), "px");
            }

            break;

          default:
            this.style.left = "".concat(Math.round(buttonRect.left + (buttonRect.width + space)), "px");

            if (buttonRect.height < calloutRect.height) {
              this.style.top = "".concat(Math.round(buttonRect.top - diffHeight), "px");
            } else {
              this.style.top = "".concat(Math.round(buttonRect.top + diffHeight), "px");
            }

            break;
        }
      }
      /* Method to dispatch events */

    }, {
      key: "dispatchCustomEvent",
      value: function dispatchCustomEvent(eventName) {
        var OriginalCustomEvent = new CustomEvent(eventName);
        OriginalCustomEvent.relatedTarget = this;
        this.dispatchEvent(OriginalCustomEvent);
        this.removeEventListener(eventName, this);
      }
      /**
       * Close method for close the callout
       */

    }, {
      key: "close",
      value: function close() {
        var button = document.querySelector("#".concat(this.getAttribute('aria-labelledby')));
        this.removeAttribute('expanded');
        button.setAttribute('aria-expanded', false);
        var trigger = this.action === 'mouseenter' ? 'mouseover' : this.action;
        document.removeEventListener(trigger, this.disableEvent, true);
        window.removeEventListener('scroll', this.setPositionOnScroll, true);
      }
      /**
       * Append close button if dismiss set to true
       */

    }, {
      key: "appendCloseButton",
      value: function appendCloseButton() {
        var self = this;
        var closeButton = document.createElement('button');

        if (this.hasAttribute('dismiss')) {
          closeButton.classList.add('joomla-callout--close');
          closeButton.innerHTML = '<span aria-hidden="true">&times;</span>';
          closeButton.setAttribute('aria-label', this.getText('JCLOSE', 'Close'));
        }

        if (this.firstChild) {
          this.insertBefore(closeButton, this.firstChild);
        } else {
          this.appendChild(closeButton);
        }
        /* Add the required listener */


        if (closeButton) {
          closeButton.addEventListener('click', function (e) {
            e.preventDefault();
            self.dispatchCustomEvent('joomla.alert.buttonClicked');
            self.close();
          });
        }
      }
      /* eslint-disable */

      /**
       * Find the ancestor element from target element
       * @param {Object} el 
       * @param {String} tagName 
       */

    }, {
      key: "findAncestor",
      value: function findAncestor(el, tagName) {
        while ((el = el.parentElement) && el.nodeName.toLowerCase() !== tagName) {
          ;
        }

        return el;
      }
      /* Method to get the translated text */

    }, {
      key: "getText",
      value: function getText(str, fallback) {
        // TODO: Remove coupling to Joomla CMS Core JS here

        /* eslint-disable-next-line no-undef */
        return window.Joomla && Joomla.JText && Joomla.JText._ && typeof Joomla.JText._ === 'function' && Joomla.JText._(str) ? Joomla.JText._(str) : fallback;
      }
    }, {
      key: "for",
      get: function get() {
        return this.getAttribute('for');
      },
      set: function set(value) {
        return this.setAttribute('for', value);
      }
    }, {
      key: "dismiss",
      get: function get() {
        return this.getAttribute('dismiss');
      }
    }, {
      key: "position",
      get: function get() {
        return this.getAttribute('position');
      },
      set: function set(value) {
        return this.setAttribute('position', value);
      }
    }], [{
      key: "observedAttributes",
      get: function get() {
        return ['for', 'dismiss', 'position'];
      }
    }]);

    return JoomlaCalloutElement;
  }(_wrapNativeSuper(HTMLElement));

  customElements.define('joomla-callout', JoomlaCalloutElement);
})();