/**
* PLEASE DO NOT MODIFY THIS FILE. WORK ON THE ES6 VERSION.
* OTHERWISE YOUR CHANGES WILL BE REPLACED ON THE NEXT BUILD.
**/

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _wrapNativeSuper(Class) { var _cache = typeof Map === "function" ? new Map() : undefined; _wrapNativeSuper = function _wrapNativeSuper(Class) { if (Class === null || !_isNativeFunction(Class)) return Class; if (typeof Class !== "function") { throw new TypeError("Super expression must either be null or a function"); } if (typeof _cache !== "undefined") { if (_cache.has(Class)) return _cache.get(Class); _cache.set(Class, Wrapper); } function Wrapper() { return _construct(Class, arguments, _getPrototypeOf(this).constructor); } Wrapper.prototype = Object.create(Class.prototype, { constructor: { value: Wrapper, enumerable: false, writable: true, configurable: true } }); return _setPrototypeOf(Wrapper, Class); }; return _wrapNativeSuper(Class); }

function isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _construct(Parent, args, Class) { if (isNativeReflectConstruct()) { _construct = Reflect.construct; } else { _construct = function _construct(Parent, args, Class) { var a = [null]; a.push.apply(a, args); var Constructor = Function.bind.apply(Parent, a); var instance = new Constructor(); if (Class) _setPrototypeOf(instance, Class.prototype); return instance; }; } return _construct.apply(null, arguments); }

function _isNativeFunction(fn) { return Function.toString.call(fn).indexOf("[native code]") !== -1; }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

/**
 * @copyright  Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 *
 * @since   4.0.0
 */

/**
 * Joomla modal web component
 *
 * More info about Web Component
 * https://developer.mozilla.org/en-US/docs/Web/Web_Components
 *
 * @param   string  id                  uniqueue ID.
 *                                      This ID will pass by target attribute (data-href)
 * @param   string  class               classes
 * @param   string  title               The new title for the modal.
 * @param   string  close-button-title  Close button text
 * @param   string  iframe              Iframe url for open iframe into modal
 *
 */
(function () {
  customElements.define('joomla-modal',
  /*#__PURE__*/
  function (_HTMLElement) {
    _inherits(_class, _HTMLElement);

    function _class() {
      var _this;

      _classCallCheck(this, _class);

      _this = _possibleConstructorReturn(this, _getPrototypeOf(_class).call(this));
      _this.KEYCODE = {
        tab: 9,
        esc: 27
      };
      _this.triggerBtn = '';
      _this.evDocumentClose = _this.documentClose.bind(_assertThisInitialized(_this));
      _this.focusableElements = null;
      _this.focusableSelectors = ['a[href]', 'area[href]', 'input:not([disabled])', 'select:not([disabled])', 'textarea:not([disabled])', 'button:not([disabled])', 'iframe', 'object', 'embed', '[contenteditable]', '[tabindex]:not([tabindex^="-"])'];
      _this.container = _this.querySelector('.joomla-modal-dialog');
      return _this;
    }

    _createClass(_class, [{
      key: "connectedCallback",
      value: function connectedCallback() {
        if (!this.id) {
          throw new Error('`Joomla-modal` requires an id');
        }

        this.title = this.getAttribute('title') || 'Modal';
        this.setAttribute('role', 'dialog');
        this.setAttribute('area-expand', 'false');
        this.classList.add('fade');
        this.iframe = this.getAttribute('iframe') || '';
        this.width = this.getAttribute('width') || '40vw';
        this.height = this.getAttribute('height') || '600px';

        if (!this.container) {
          var cont = document.createElement('div');
          cont.classList.add('joomla-modal-dialog');
          cont.setAttribute('role', 'document');
          cont.innerHTML = this.innerHTML;
          this.innerHTML = '';
          this.appendChild(cont);
          this.container = this.querySelector('.joomla-modal-dialog');
        }

        this.header = this.querySelector('header');
        this.main = this.querySelector('section');
        this.footer = this.querySelector('footer');
        this.setAttribute('tabindex', -1); // Unique Id

        var randomId = "modal-title-".concat(new Date().getUTCMilliseconds());
        this.setAttribute('aria-labelledby', randomId);

        if (!this.header) {
          var htag = document.createElement('h5');
          htag.innerText = this.title;
          htag.id = randomId;
          var closeButton = document.createElement('button');
          closeButton.setAttribute('aria-label', 'Close');
          closeButton.setAttribute('data-dismiss', '');
          closeButton.innerHTML = '<span aria-hidden="true">×</span>';
          var header = document.createElement('header');
          header.appendChild(htag);
          header.appendChild(closeButton);
          this.container.insertAdjacentElement('afterbegin', header);
        }

        this.header = this.container.querySelector('header');
        this.body = this.container.querySelector('section');
        this.footer = this.container.querySelector('footer');

        if (this.width !== '') {
          this.container.style.width = this.width;
        }

        this.triggerBtn = document.querySelector("[data-href=\"#".concat(this.id, "\"]"));

        if (this.triggerBtn) {
          this.triggerBtn.addEventListener('click', this.open.bind(this));
        }
      }
    }, {
      key: "disconnectedCallback",
      value: function disconnectedCallback() {
        if (this.triggerBtn) {
          this.triggerBtn.removeEventListener('click', this.open.bind(this));
        }
      }
      /* Method to dispatch events */

    }, {
      key: "dispatchCustomEvent",
      value: function dispatchCustomEvent(eventName) {
        var OriginalCustomEvent = new CustomEvent(eventName);
        OriginalCustomEvent.relatedTarget = this;
        this.dispatchEvent(OriginalCustomEvent);
        this.removeEventListener(eventName, this);
      }
    }, {
      key: "open",
      value: function open(event) {
        var _this2 = this;

        if (event) {
          event.preventDefault();
        } // Comply with the Joomla API
        // Set the current Modal ID


        Joomla.Modal.setCurrent(this);
        this.dropShadow = document.createElement('div');
        this.dropShadow.classList.add('j-modal-backdrop', 'fade');
        this.dropShadow.classList.add('j-modal-backdrop', 'show');
        document.body.appendChild(this.dropShadow);
        this.removeAttribute('aria-hidden'); // Iframe specific code, reload

        if (this.body) {
          this.iframeEl = this.main.querySelector('iframe');

          if (this.iframe) {
            if (this.iframeEl) {
              this.iframeEl.parentNode.remove(this.iframeEl);
            }

            var newIframe = document.createElement('iframe');
            newIframe.width = '100%';
            newIframe.title = this.getAttribute('title');
            newIframe.src = this.iframe;
            newIframe.setAttribute('frameborder', 0);
            newIframe.style.height = this.height;
            this.body.appendChild(newIframe);
            this.iframeEl = this.main.querySelector('iframe');
          }
        } // Adjust the dimensions


        this.adjustDimensions();
        this.scrollTop = 0;
        this.classList.add('show');
        this.setAttribute('area-expand', 'true');
        this.focusableElements = [].slice.call(this.querySelectorAll(this.focusableSelectors.join()));

        if (this.focusableElements.length) {
          this.focusableElements[0].focus();
        } else {
          this.header.querySelector('button').focus();
        }

        this.evKeypress = this.keyPress.bind(this);
        this.evClose = this.close.bind(this); // Keyboard handling

        document.addEventListener('keydown', this.evKeypress); // Close on click outside the modal

        document.addEventListener('click', this.evDocumentClose); // Is there a close button?

        var modalButtons = [].slice.call(this.querySelectorAll('[data-dismiss]')); // Add listeners for close

        modalButtons.forEach(function (modalButton) {
          modalButton.addEventListener('click', _this2.evClose);
        });
        this.dispatchCustomEvent('joomla.modal.show');
      }
    }, {
      key: "close",
      value: function close(event) {
        var _this3 = this;

        if (event) {
          event.preventDefault();
        }

        this.removeEventListener('keydown', this.evKeypress);
        document.removeEventListener('click', this.evDocumentClose); // Is there a close button?

        var modalButtons = [].slice.call(this.querySelectorAll('[data-dismiss]')); // Add listeners for close

        modalButtons.forEach(function (modalButton) {
          modalButton.removeEventListener('click', _this3.evClose);
        });
        this.setAttribute('aria-hidden', 'true');
        this.classList.remove('show');
        this.setAttribute('area-expand', 'false');

        if (this.triggerBtn) {
          this.triggerBtn.focus();
        }

        this.dispatchCustomEvent('joomla.modal.close');
        this.style.animation = 'fadeOutUp .3s';
        this.style.opacity = 0;
        setTimeout(function () {
          if (_this3.dropShadow) {
            document.body.removeChild(_this3.dropShadow);
          }

          if (_this3.main.querySelector('iframe')) {
            _this3.main.removeChild(_this3.main.querySelector('iframe'));
          }

          _this3.dispatchCustomEvent('joomla.modal.closed');

          _this3.style.animation = null;
          _this3.style.opacity = null;
        }, 200);
      }
    }, {
      key: "documentClose",
      value: function documentClose(event) {
        if (!this.container.contains(event.target) && event.target === this) {
          this.close();
        }
      }
    }, {
      key: "keyPress",
      value: function keyPress(e) {
        // ESC key
        if (e.keyCode === this.KEYCODE.esc) {
          this.close();
        } // TAB key


        if (e.keyCode === this.KEYCODE.tab) {
          // this.handleTabEvent(e);
          // Get the index of the current active element within the modal
          var focusedIndex = this.focusableElements.indexOf(document.activeElement); // Handle TAB event if need to skip
          // If first element is focused and shift key is in use

          if (e.shiftKey && (focusedIndex === 0 || focusedIndex === -1)) {
            // Focus last item within modal
            this.focusableElements[this.focusableElements.length - 1].focus();
            e.preventDefault();
          } // If last element is focused and shift key is not in use


          if (!e.shiftKey && focusedIndex === this.focusableElements.length - 1) {
            // Focus first item within modal
            this.focusableElements[0].focus();
            e.preventDefault();
          }
        }
      }
    }, {
      key: "adjustDimensions",
      value: function adjustDimensions() {
        var modalHeight = this.offsetHeight;
        modalHeight += parseInt(window.getComputedStyle(this).getPropertyValue('margin-top'), 10);
        modalHeight += parseInt(window.getComputedStyle(this).getPropertyValue('margin-bottom'), 10);
        var bodyHeight = this.body.getBoundingClientRect.height;
        var bodyHeightOuter = this.body.offsetHeight;
        bodyHeightOuter += parseInt(window.getComputedStyle(this.body).getPropertyValue('margin-top'), 10);
        bodyHeightOuter += parseInt(window.getComputedStyle(this.body).getPropertyValue('margin-bottom'), 10);
        var headerHeight = 0;

        if (this.header !== null) {
          headerHeight = this.header.offsetHeight;
          headerHeight += parseInt(window.getComputedStyle(this.header).getPropertyValue('margin-top'), 10);
          headerHeight += parseInt(window.getComputedStyle(this.header).getPropertyValue('margin-bottom'), 10);
        }

        var footerHeight = 0;

        if (this.footer !== null) {
          footerHeight = this.footer.offsetHeight;
          footerHeight += parseInt(window.getComputedStyle(this.footer).getPropertyValue('margin-top'), 10);
          footerHeight += parseInt(window.getComputedStyle(this.footer).getPropertyValue('margin-bottom'), 10);
        }

        var padding = this.offsetTop;
        var maxModalHeight = window.height - padding * 2;
        var modalBodyPadding = bodyHeightOuter - bodyHeight;
        var maxModalBodyHeight = maxModalHeight - (headerHeight + footerHeight + modalBodyPadding);

        if (this.iframeEl) {
          var iframeHeight = this.iframeEl.getBoundingClientRect().height;

          if (iframeHeight > maxModalBodyHeight) {
            this.container.style.maxHeight = maxModalBodyHeight;
            this.container.style.overflowY = 'auto';
            this.iframeEl.style.maxHeight = maxModalBodyHeight - modalBodyPadding;
          }
        } else if (modalHeight > maxModalHeight) {
          this.container.style.maxHeight = maxModalBodyHeight;
          this.container.style.overflowY = 'auto';
        }
      }
    }], [{
      key: "observedAttributes",
      get: function get() {
        return ['width', 'height', 'innerWidth', 'innerHeight', 'iframe', 'class'];
      }
    }]);

    return _class;
  }(_wrapNativeSuper(HTMLElement)));
})();